View Issue Details

IDProjectCategoryView StatusLast Update
15447Bug reportsSurvey editingpublic2020-03-09 15:36
Reporterorvil Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC5 
Summary15447: Order of answer option fails
Description

Saving a list question (eg. radio) with answer options named (=Code) 1, 2, 3, ... , 10, 11, 12, 13 will destroy the order as edited. The order stored and displayed will change to 1, 10, 11, 13, 2, 3, ... instead.

Steps To Reproduce

Setuap a List question with answer options named (code) 1 to 10, 1 to 11 or something like this (1, 2, 3, 10, 11, 12 will do it too)

TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.0.0-RC6+191022
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionmariaDB libmysql - mysqlnd 5.0.12
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Activities

orvil

orvil

2019-10-25 12:33

reporter   ~54218

Corr: no error, "Sort answers alphabetically " was set and is working! Please close this issue.

orvil

orvil

2019-10-25 12:46

reporter   ~54219

With "Sort answers alphabetically " set correctly, the order is ok in the backend, but the question itself is displayed still in alphabetical order.
Please see attached images and lss file.

order01.jpg (66,823 bytes)   
order01.jpg (66,823 bytes)   
order02.jpg (49,329 bytes)   
order02.jpg (49,329 bytes)   
order03.jpg (23,434 bytes)   
order03.jpg (23,434 bytes)   
order.lss (30,083 bytes)
cdorin

cdorin

2020-01-20 09:54

manager   ~55373

fixed in the latest 4.0.0 dev

Issue History

Date Modified Username Field Change
2019-10-23 02:38 orvil New Issue
2019-10-25 12:33 orvil Note Added: 54218
2019-10-25 12:46 orvil File Added: order01.jpg
2019-10-25 12:46 orvil File Added: order02.jpg
2019-10-25 12:46 orvil File Added: order03.jpg
2019-10-25 12:46 orvil File Added: order.lss
2019-10-25 12:46 orvil Note Added: 54219
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2019-12-03 15:45 cdorin Assigned To => cdorin
2019-12-03 15:45 cdorin Status new => assigned
2020-01-20 09:54 cdorin Status assigned => resolved
2020-01-20 09:54 cdorin Resolution open => fixed
2020-01-20 09:54 cdorin Note Added: 55373
2020-03-09 15:36 c_schmitz Status resolved => closed